{
  num: -21015,
  accuracy: 100,
  basePower: 100,
  category: "Physical",
  name: "Flashpoint Fists",
  pp: 10,
  priority: 0,
  flags: { contact: 1, protect: 1, mirror: 1, punch: 1, metronome: 1 },

  onHit(target, source, move) {
    if (!target || target.fainted) return;
    if (!target.hasType("Fire")) return;

    const newTypes = target.getTypes(true).map((type) => type === "Fire" ? "???" : type);
    if (!target.setType(newTypes)) return;
    this.add("-start", target, "typechange", target.getTypes().join("/"), "[from] move: Flashpoint Fists");
  },

  secondary: null,
  target: "normal",
  type: "Fire",
  contestType: "Cool"
}
